%global realname riak_pipe
%global upstream basho
%global debug_package %{nil}
%global git_tag fe39d40
%global patchnumber 0


Name:		erlang-%{realname}
Version:	1.2.1
Release:	1.p1%{?dist}
Summary:	Riak Pipelines
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/basho/riak_pipe
# wget --content-disposition https://github.com/basho/riak_pipe/tarball/1.2.1p1
Source0:	%{upstream}-%{realname}-%{version}p1-%{patchnumber}-g%{git_tag}.tar.gz
Patch1:		erlang-riak_pipe-0001-Don-t-look-for-deps.patch
BuildRequires:	erlang-rebar
BuildRequires:	erlang-riak_core
Requires:	erlang-cluster_info%{?_isa}
# Error:erlang(lists:keyfind/3) in R12B and older
# Error:erlang(os:timestamp/0) in R12B and older
Requires:	erlang-erts%{?_isa} >= R13B
Requires:	erlang-hipe%{?_isa}
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-lager%{?_isa}
Requires:	erlang-riak_core%{?_isa}
Requires:	erlang-stdlib%{?_isa}


%description
Riak Pipelines.


%prep
%setup -q -n %{upstream}-%{realname}-0c52cbd
%patch1 -p1 -b .nodeps


%build
rebar compile -v
rebar doc -v
rm -rf doc/edoc-info


%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,include,priv}
install -p -m 644 ebin/%{realname}.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 644 ebin/*.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 644 include/*.hrl $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include
install -p -m 644 priv/app.slave0.config $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/priv


%check
rebar eunit -v


%files
%doc LICENSE README.org doc/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv/
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/%{realname}*.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/app.slave0.config


%changelog
* Fri Oct 19 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-1.p1
- Ver. 1.2.1p1

* Fri May 18 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.2-1
- Ver. 1.1.2

* Fri Sep 16 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.9.1-1
- Initial build
